﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.DragDrop.Behaviors;
using System.Linq;

namespace ListBoxToListBoxDragConverting
{
	public class ProjectToCustomerConverter : DataConverter
	{
		public override object ConvertTo(object data, string format)
		{
			var result = new List<Customer>();
			var draggedProjects = ((List<object>)DataObjectHelper.GetData(data, typeof(Project), false)).OfType<Project>();

			foreach (var project in draggedProjects)
			{
				result.Add(new Customer()
				{
					Name = project.Person,
					Id = project.Id,
					Project = project.Name
				});
			}

			return result;
		}

		public override string[] GetConvertToFormats()
		{
			return new string[] { typeof(Customer).Name };
		}
	}
}
